### Hierarchy

- FilePartMetadata
  - UploadPart

## Index

### Properties

- endByte
- etag
- offset
- partNumber
- progress
- size
- startByte

## Properties

### endByte

endByte: number

Inherited from FilePartMetadata.endByte

- Defined in lib/api/upload/file.ts:36

### Optional etag

etag: string

- Defined in lib/api/upload/uploaders/s3.ts:34

### Optional offset

offset: number

- Defined in lib/api/upload/uploaders/s3.ts:35

### partNumber

partNumber: number

Inherited from FilePartMetadata.partNumber

- Defined in lib/api/upload/file.ts:37

### Optional progress

progress: number

- Defined in lib/api/upload/uploaders/s3.ts:36

### size

size: number

Inherited from FilePartMetadata.size

- Defined in lib/api/upload/file.ts:38

### startByte

startByte: number

Inherited from FilePartMetadata.startByte

- Defined in lib/api/upload/file.ts:35